cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Announcements
50387
Views
1
Helpful
4
Replies
nikhilcherian
Contributor

Anyconnect uninstall

Dear All,

I am trying to uninstall anyconnect from my system for the upgrade to latest version. But it is failing,

I tried the below

  1. I unistalled the anyconnect agent.
  2. I deleted the folders C:\Users\Administrator\AppData\Local\Cisco\Cisco AnyConnect Secure Mobility Client
  3. I deleted C:\ProgramData\Cisco\Cisco AnyConnect Secure Mobility Client
  4. I searched for Deterministic Networks,I couldn't find

I can install the new version for anyconnect, except for the posture module. When I try to install the posture agent, I get a warning for the previously installed version of Any connect is required

Any help is appreciated

Regards

Nikhil

1 ACCEPTED SOLUTION

Accepted Solutions

Hi Paul,

Thanks for the reply

  1. I was trying to uninstall 4.1 version with NAC agent installed
  2. I tried upgrading to 4.4.02034 & 4.5.02036, both had issues
  3. ISE system scan
  4. I don't see any information in the Control pannel for the old version
  5. I don't have the old version of 4.1, else I would have tried this option

I tried direct upgrade on one of the systems & I got an error message. I found in some forums that I have to  remove  the Determenstic Network details in the Registry. I removed the 4.1 version & then I removed the registry values then only I could install the 4.4 agent

Regards

Nikhil

View solution in original post

4 REPLIES 4
nikhilcherian
Contributor

Forgot to mention, I tried using ccleaner was well

any answers on this issue

pcarco
Cisco Employee

Hello Nikhil,

You typically do not need to uninstall to upgrade AnyConnect.  If you are upgrading from the ASA or ISE the upgrade should be fairly seamless.

questions

1.)  What version were you uninstalling?

2.)  What version were you upgrading/ to ?

3.) Posture module ?    ISE System Scan or ASA Posture ?

4.) If you look at  Control Panel\Programs\Programs and Features what AnyConnect components remain?

5.) If you still have the installer for the old version that matches the posture module that will not uninstall/upgrade.  Try reinstalling the old version then use  Windows  Add/Remove Programs to remove the Core VPN module which should remove all the other dependent modules.

Best regards,

Paul

AC TME

Hi Paul,

Thanks for the reply

  1. I was trying to uninstall 4.1 version with NAC agent installed
  2. I tried upgrading to 4.4.02034 & 4.5.02036, both had issues
  3. ISE system scan
  4. I don't see any information in the Control pannel for the old version
  5. I don't have the old version of 4.1, else I would have tried this option

I tried direct upgrade on one of the systems & I got an error message. I found in some forums that I have to  remove  the Determenstic Network details in the Registry. I removed the 4.1 version & then I removed the registry values then only I could install the 4.4 agent

Regards

Nikhil

View solution in original post

Content for Community-Ad